#!/bin/bash

# After calling wr2rf_init.sh for both tx and rx wr2rf_vme cards. The sequence outlined below
# can be used to "simulate" a cycle of the sps. The slot numbers used are specific to cfv-774-celma4
# card configuration and should be adapted...
# slot 2 is TX, slots 4 RX
./wr2rf -s 4 set-rfout 1 mix
./wr2rf -s 4 set-rfout 2 mix

# reset the RX wr2rf trigger unit
sh vtu_setup.sh 4

freq_LHCPILOT=43347.158955
freq_wrclk=125000000
prod=`echo "$freq_LHCPILOT*(2^48)" | bc -q`
ftw_h1=`echo "$prod/($freq_wrclk)" | bc -q`
ftw_LHCPILOT_hex=`echo "obase=16;ibase=10; $ftw_h1" | bc -q`

usleep 1000

./wr2rf -s 2 ftw-send1 0x$ftw_LHCPILOT_hex reset


